webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.SecurityOrigin

Contents

- Desciption
- Types
- Methods

Description

Access to the WebKit Web SecurityOrigin

Synopsis

- data SecurityOrigin
- class GObjectClass o => SecurityOriginClass o
- securityOriginGetAllWebDatabases :: SecurityOriginClass self => self -> IO [WebDatabase]
- securityOriginGetHost :: SecurityOriginClass self => self -> IO String
- securityOriginGetPort :: SecurityOriginClass self => self -> IO Int
- securityOriginGetProtocol :: SecurityOriginClass self => self -> IO String
- securityOriginGetWebDatabaseQuota :: SecurityOriginClass self => self -> IO Int
- securityOriginSetWebDatabaseQuota :: SecurityOriginClass self => self -> Int -> IO ()
- securityOriginGetWebDatabaseUsage :: SecurityOriginClass self => self -> IO Int

# Desciption

WebKitSecurityOrigin is a representation of a security domain defined by web sites. An origin consists of a host name, a protocol, and a port number. Web sites with the same security origin can access each other's resources for client-side scripting or database access.

Use `webFrameGetSecurityOrigin` to get the security origin of a WebKitWebFrame.

Database quotas and usages are also defined per security origin. The cumulative disk usage of an origin's databases may be retrieved with `securityOriginGetWebDatabaseUsage`. An origin's quota can be adjusted with `securityOriginSetWebDatabaseQuota`.

# Types

data SecurityOrigin Source

Instances

Eq SecurityOrigin |
Ord SecurityOrigin |
GObjectClass SecurityOrigin |
SecurityOriginClass SecurityOrigin |

class GObjectClass o => SecurityOriginClass o Source

Instances

SecurityOriginClass SecurityOrigin |

# Methods

securityOriginGetAllWebDatabases :: SecurityOriginClass self => self -> IO [WebDatabase]Source

Returns the frame's security origin.

securityOriginGetHost :: SecurityOriginClass self => self -> IO String Source

Returns the hostname for the security origin.

securityOriginGetPort :: SecurityOriginClass self => self -> IO Int Source

Returns the port for the security origin.

securityOriginGetProtocol :: SecurityOriginClass self => self -> IO String Source

Returns the protocol for the security origin.

securityOriginGetWebDatabaseQuota :: SecurityOriginClass self => self -> IO Int Source

Returns the quota for Web Database storage of the security origin in bytes.

securityOriginSetWebDatabaseQuota :: SecurityOriginClass self => self -> Int -> IO ()Source

Adjust the quota for Web Database storage of the security origin

securityOriginGetWebDatabaseUsage :: SecurityOriginClass self => self -> IO Int Source

Returns the usage for Web Database storage of the security origin in bytes.